package com.zhentao.userRelationships.util;

/**
 * @author feifan
 * @QQ 2535289363
 * @create 2023-10-26 18:49
 * <p>
 * 存储当前登录用户id的ThreadLocal
 */
public class UserUtils {

    //新建一个ThreadLocal
    private static ThreadLocal<Integer> uidThreadLocal = new ThreadLocal<>();

    //存储uid
    public static void setUid(Integer uid) {
        uidThreadLocal.set(uid);
    }

    //取出uid
    public static Integer getUid() {
        return uidThreadLocal.get();
    }

    //清除（只清除当前线程的uid）
    public static void clear() {
        uidThreadLocal.remove();
    }

}
